Subject: bug#21466: [PATCH] Avoid defining (temporarily) vars and functions

From: Glenn Morris <[email-masked]>
Date: Fri, 23 Jul 2021 11:01:03 -0400

Lars Ingebrigtsen wrote:

>> So indeed, a real FILE argument would be preferable, but passing nil
>> works fine (it will simply prevent `check-declare` from making sure
>> that file indeed defines that function,
>
> I've now amended the doc string to `declare-function on the trunk to
> mention this.

Whilst that may happen to work as a kludge, it's against the intent of
declare-function, so personally I would prefer that it either remained
undocumented, or you do it properly and make FILE an optional argument
(I haven't checked if check-declare would need changes for that).

Ref: https://lists.gnu.org/r/emacs-devel/2007-11/msg01409.html